Bug 1315739 - (CVE-2016-2145) CVE-2016-2145 mod_auth_mellon: Missing error check when calling ap_get_client_block()
CVE-2016-2145 mod_auth_mellon: Missing error check when calling ap_get_client...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160309,repor...
: Security
Depends On: 1316295
Blocks: 1315749
  Show dependency treegraph
 
Reported: 2016-03-08 08:51 EST by Adam Mariš
Modified: 2016-03-19 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 00:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-08 08:51:37 EST
It was reported that am_read_post_data() was missing check if ap_get_client_block() returns error, causing segmentation fault.

Upstream bug:

https://github.com/UNINETT/mod_auth_mellon/pull/71
Comment 1 Adam Mariš 2016-03-08 08:51:42 EST
Acknowledgments:

Name: Olav Morken (Uninett)
Upstream: Vincent Rasneur
Comment 2 Adam Mariš 2016-03-08 09:08:23 EST
Note that fixing commit is the same as for CVE-2016-2146.
Comment 4 Garth Mollett 2016-03-09 17:12:08 EST
Created mod_auth_mellon tracking bugs for this issue:

Affects: fedora-all [bug 1316295]
Comment 6 Fedora Update System 2016-03-19 22:29:27 EDT
mod_auth_mellon-0.11.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.